Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277117 - iscan-plugin for the media-gfx/iscan SANE epkowa backend
Summary: iscan-plugin for the media-gfx/iscan SANE epkowa backend
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High normal with 2 votes (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
: 334337 (view as bug list)
Depends on: 248898
Blocks:
  Show dependency tree
 
Reported: 2009-07-09 00:13 UTC by Will Lepofsky
Modified: 2013-08-04 00:54 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Proposed ebuild for binary plugin for epkowa scanner driver(Perfection V350) (iscan-plugin-gt-f700-2.1.0.ebuild,1.65 KB, text/plain)
2009-07-09 00:15 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V500) (iscan-plugin-gt-x770-2.1.1.ebuild,1.65 KB, text/plain)
2009-07-09 17:04 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V200) (iscan-plugin-gt-f670-2.1.0.ebuild,1.65 KB, text/plain)
2009-07-09 17:17 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100) (iscan-plugin-gt-s600-2.1.0.ebuild,1.66 KB, text/plain)
2009-07-10 12:41 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100) (iscan-plugin-gt-s600-2.1.0.ebuild,1.66 KB, text/plain)
2009-07-10 12:46 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100) (iscan-plugin-gt-s600-2.1.0.ebuild,1.66 KB, text/plain)
2009-07-10 13:06 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection 4490) (iscan-plugin-gt-x750-2.1.0.ebuild,1.65 KB, text/plain)
2009-07-10 13:10 UTC, Will Lepofsky
Details
iscan-plugin-gt-x770-2.1.1.ebuild (iscan-plugin-gt-x770-2.1.1.ebuild,1.25 KB, text/plain)
2009-11-19 04:51 UTC, Matthew Schultz
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100) (iscan-plugin-gt-s600-2.1.0-r1.ebuild,1.66 KB, text/plain)
2009-12-31 13:39 UTC, Thomas Rausch
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V200) (iscan-plugin-gt-f670-2.1.0.ebuild,1.63 KB, text/plain)
2009-12-31 15:07 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver(Perfection V350) (iscan-plugin-gt-f700-2.1.0.ebuild,1.63 KB, text/plain)
2009-12-31 15:09 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100) (iscan-plugin-gt-s600-2.1.0.ebuild,1.64 KB, text/plain)
2009-12-31 15:12 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection 4490) (iscan-plugin-gt-x750-2.1.0.ebuild,1.63 KB, text/plain)
2009-12-31 15:14 UTC, Will Lepofsky
Details
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V500) (iscan-plugin-gt-x770-2.1.1.ebuild,1.63 KB, text/plain)
2009-12-31 15:17 UTC, Will Lepofsky
Details
iscan-plugin-gt-x820-2.1.0.ebuild (Perfection V600 Photo driver) (iscan-plugin-gt-x820-2.1.0.ebuild,1.63 KB, text/plain)
2010-05-14 08:18 UTC, Jared B.
Details
iscan-plugin-gt-x770-2.1.2.1.ebuild (iscan-plugin-gt-x770-2.1.2.1.ebuild,1.65 KB, text/plain)
2011-05-13 07:20 UTC, Matthew Schultz
Details
media-gfx/iscan-plugin-gt-x820-2.1.2.ebuild (iscan-plugin-gt-x820-2.1.2.ebuild,1.61 KB, text/plain)
2011-09-10 05:13 UTC, Jared B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Will Lepofsky 2009-07-09 00:13:37 UTC
The epkowa driver provided by media-gfx/iscan needs proprietary plugins for
several EPSON scanner models.  This one supports the Epson Perfection V350 Photo scanner (it's possible that it supports others as well).

The ebuild works for me with the iscan-2.20.0.ebuild from bug 248898 that I added.

I used the ebuild in bug 274625 for reference.

Reproducible: Always

Steps to Reproduce:




This should also work for x86.
Comment 1 Will Lepofsky 2009-07-09 00:15:34 UTC
Created attachment 197280 [details]
Proposed ebuild for binary plugin for epkowa scanner driver(Perfection V350)
Comment 2 Will Lepofsky 2009-07-09 17:04:02 UTC
Created attachment 197365 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V500)

The epkowa driver provided by media-gfx/iscan needs proprietary plugins for
several EPSON scanner models.  This one supports the Epson Perfection V500
Photo scanner (it's possible that it supports others as well).

I have not tested, but is based on my other ebuild.
Comment 3 Will Lepofsky 2009-07-09 17:05:54 UTC
Changing bug name to iscan-plugin due to adding additional ebuilds for other Epson scanners.
Comment 4 Will Lepofsky 2009-07-09 17:17:44 UTC
Created attachment 197373 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V200)

The epkowa driver provided by media-gfx/iscan needs proprietary plugins for
several EPSON scanner models.  This one supports the Epson Perfection V200
Photo scanner (it's possible that it supports others as well).

I have not tested, but is based on my other ebuild.
Comment 5 Will Lepofsky 2009-07-10 12:41:40 UTC
Created attachment 197451 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100)

The epkowa driver provided by media-gfx/iscan needs proprietary plugins for
several EPSON scanner models.  This one supports the Epson Perfection V10/V100
Photo scanner (it's possible that it supports others as well).

I have not tested, but is based on my other ebuild.
Comment 6 Will Lepofsky 2009-07-10 12:46:05 UTC
Created attachment 197454 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100)

Oops...  Corrected for proper usb identification.
Comment 7 Will Lepofsky 2009-07-10 13:06:40 UTC
Created attachment 197457 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100)

Oops again...  Corrected elog information.

Must be too early in the morning for me... ;)
Comment 8 Will Lepofsky 2009-07-10 13:10:35 UTC
Created attachment 197459 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection 4490)

The epkowa driver provided by media-gfx/iscan needs proprietary plugins for
several EPSON scanner models.  This one supports the Epson Perfection 4490
Photo scanner (it's possible that it supports others as well).

I have not tested, but is based on my other ebuild.
Comment 9 Bob Paddock 2009-07-11 00:08:32 UTC
[code]
# lsusb                   
Bus 001 Device 004: ID 04b8:0119 Seiko Epson Corp. Perfection 4490 Photo
[/code]

[code]
# imagescan -L
# Note that it takes about ~35 seconds for anything to happen after doing the above
                                                     
device `epkowa:usb:001:004' is a Epson (unknown model) flatbed scanner     
device `epkowa:interpreter:001:004' is a Epson Perfection 4490 flatbed scanner
[/code]

Why two of them?


[code]
[I] media-gfx/iscan-plugin-gt-x750 [1]                                        
     Available versions:  (~)2.1.0 {linguas_ja}                               
     Installed versions:  2.1.0(19:52:25 07/10/09)(-linguas_ja)               
     Homepage:            http://www.avasys.jp/english/linux_e/dl_scan.html   
     Description:         Epson Perfection 4490 PHOTO scanner plugin for SANE 'epkowa' backend.

[I] media-gfx/iscan   
     Available versions:  (~)2.10.0 (~)2.10.0[1] (~)2.11.0 (~)2.11.0[1] (~)2.20.0[1] {X gimp jpeg linguas_de linguas_es linguas_fr linguas_it linguas_ja linguas_ko linguas_nl linguas_pt linguas_zh_CN linguas_zh_TW png tiff unicode}     
     Installed versions:  2.20.0[?](19:52:12 07/10/09)(X jpeg png tiff unicode -gimp -linguas_de -linguas_es -linguas_fr -linguas_it -linguas_ja -linguas_ko -linguas_nl -linguas_pt -linguas_zh_CN -linguas_zh_TW)                         
     Homepage:            http://www.avasys.jp/english/linux_e/dl_scan.html                                           
     Description:         EPSON Image Scan! for Linux (including sane-epkowa backend and firmware)                    
[/code]

[code]
# emerge --info

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.                  
Portage 2.2_rc33 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r5 x86_64)
=================================================================                                        
System uname: Linux-2.6.28-gentoo-r5-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4600+-with-gentoo-2.0.0
Timestamp of tree: Wed, 08 Jul 2009 05:30:01 +0000                                                          
app-shells/bash:     3.2_p39                                                                                
dev-java/java-config: 2.1.8-r1                                                                              
dev-lang/python:     2.5.4-r3, 2.6.2                                                                        
dev-util/cmake:      2.6.4                                                                                  
sys-apps/baselayout: 2.0.0-r2                                                                               
sys-apps/openrc:     0.4.2-r1                                                                               
sys-apps/sandbox:    1.6-r2                                                                                 
sys-devel/autoconf:  2.13, 2.63                                                                             
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                              
sys-devel/binutils:  2.19.1-r1                                                                              
sys-devel/gcc-config: 1.4.1                                                                                 
sys-devel/libtool:   2.2.6a                                                                                 
virtual/os-headers:  2.6.27-r2                                                                              
ACCEPT_KEYWORDS="amd64"                                                                                     
CBUILD="x86_64-pc-linux-gnu"                                                                                
CFLAGS="-march=athlon64 -O2 -pipe"                                                                          
CHOST="x86_64-pc-linux-gnu"                                                                                 
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"    
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://192.168.0.129:8080 http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/emacs /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d acl alsa amd64 aspell audacious audio berkdb bzip2 cairo cdaudio cdparanoia cdr cdrom cdrtools cli cracklib crypt cups cupsddk dbus dri dvd dvdr dvdread emacs encode fortran gdbm gif gpm hal handbook iconv inkjar ipv6 isdnlog jadetex jpeg lua lvm2 mad midi mmx mng mp3 mpeg mplayer mudflap multilib mythtv ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre perl plotutils png pnm postscript pppd python qt3support qt4 readline reflection ruby ruby-bindings rubytests server session spl sse sse2 ssl svg svgz sysfs tcl tcpd tiff tk truetype unicode usb utempter vnc vorbis webkit xcb xcf xine xinetd xml xorg xosd xrender xscreensaver xterm xterm-color xulrunner xv xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" SANE_BACKENDS="epson snapscan epson2 test" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
[/code]
Comment 10 Will Lepofsky 2009-07-11 17:12:25 UTC
(In reply to comment #9)

Bob,

Most likely you still have snapscan set up in dll.conf.  Just comment out the snapscan line in dll.conf.
Comment 11 Bob Paddock 2009-07-14 22:59:41 UTC
> Most likely you still have snapscan set up in dll.conf.  Just comment out the
> snapscan line in dll.conf.

I commented out *everything* but epkowa in dll.conf.  Same results.

# scanimage -L
device `epkowa:usb:001:002' is a Epson (unknown model) flatbed scanner
device `epkowa:interpreter:001:002' is a Epson Perfection 4490 flatbed scanner
Comment 12 Will Lepofsky 2009-07-14 23:47:54 UTC
(In reply to comment #11)

Bob,

After trying to duplicate the issue, I can't.  

But, here are some thing to try:

1.  In the epkowa.conf file, comment out everything but the top usb line (should be just usb on the line with nothing else).

2.  Try unplugging the scanner from the usb port, wait till the scanner settles down, and and then re-plug in.

3.  Make sure there is only one line in /var/lib/lib/iscan/interpreter.

Also, by looking through your posts on the forums it looks as if you had tried this setup before.  Maybe you have a conflict in a file somewhere with the previous attempts.

Anyway, hopefully one of the suggestions above will fix the issue... ;)
Comment 13 Bob Paddock 2009-07-15 00:03:20 UTC
> After trying to duplicate the issue, I can't.  
> 

> 1.  In the epkowa.conf file, comment out everything but the top usb line
> (should be just usb on the line with nothing else).

That got me down to a single one.  Before I had usb 0x04b8 0x0119, which previous attempts required, to find the scanner at all.

scanimage -T now passes.

Alas it sounds like the scanner is binding up, again. :-(
I'll never buy an other Epson scanner after this mess.

Thank you for your help, at least it seems the software issue is resolved.

> 3.  Make sure there is only one line in /var/lib/lib/iscan/interpreter.

interpreter usb 0x04b8 0x0119 /usr/lib64/iscan/libesint54 /usr/share/iscan/esfw54.bin


> Also, by looking through your posts on the forums it looks as if you had tried
> this setup before.  Maybe you have a conflict in a file somewhere with the
> previous attempts.

Yeah, I've been trying to get this running, outside of the 32bit-chroot where it works, for a long time.

Comment 14 Will Lepofsky 2009-07-15 00:20:29 UTC
(In reply to comment #13)

Bob,

Glad I could help.  And, I understand about the Epson scanners (I have a V350 myself).
Comment 15 Zbynek Lstiburek 2009-10-04 22:16:52 UTC
> Created an attachment (id=197457) [details]
> Proposed ebuild for binary plugin for epkowa scanner driver (Perfection
> V10/V100)

I confirm the gt-s600 ebuild working with Perfection V10, however the library name in iscan-registry calls needs to be corrected to libesint66 (instead of libesint7A).
Comment 16 Dieter Ries 2009-10-22 10:40:31 UTC
Works perfectly here with media-gfx/iscan-2.21.0

This has been really painful before, I was only able to use the scanner via a virtual ubuntu or opensuse. Really really glad that this is now not necessary anymore, thanks!

Btw, there's a typo in the elog:

Is: 
    elog "Firmware file esfw68.bin for Epson Perfection V350"
    elog "PHOTO has been installed in /usr/share/iscan and"
    elog "regestered for use"

Should be:
    elog "Firmware file esfw68.bin for Epson Perfection V350"
    elog "PHOTO has been installed in /usr/share/iscan and"
    elog "registered for use"

Thanks again, I hope this one will make it to the tree soon!
Comment 17 Dieter Ries 2009-10-22 10:41:26 UTC
(In reply to comment #16)
> Works perfectly here with media-gfx/iscan-2.21.0

With an Epson Perfection V350 PHOTO

> 
> This has been really painful before, I was only able to use the scanner via a
> virtual ubuntu or opensuse. Really really glad that this is now not necessary
> anymore, thanks!
> 
> Btw, there's a typo in the elog:
> 
> Is: 
>     elog "Firmware file esfw68.bin for Epson Perfection V350"
>     elog "PHOTO has been installed in /usr/share/iscan and"
>     elog "regestered for use"
> 
> Should be:
>     elog "Firmware file esfw68.bin for Epson Perfection V350"
>     elog "PHOTO has been installed in /usr/share/iscan and"
>     elog "registered for use"
> 
> Thanks again, I hope this one will make it to the tree soon!
> 

Comment 18 Matthew Schultz 2009-11-17 15:54:00 UTC
How about adding these ebuilds to sunrise since nobody in the main tree has taken interest in these ebuilds yet?
Comment 19 Matthew Schultz 2009-11-19 04:51:29 UTC
Created attachment 210594 [details]
iscan-plugin-gt-x770-2.1.1.ebuild

Cleaned up ebuild.  I tested it with the V500 scanner on x86 and everything works.
Comment 20 thorn 2009-12-11 14:06:15 UTC
I've tested your iscan-plugin-gt-f700-2.1.0.ebuild and can confirm that it works fine with my Epson Perfection V350 PHOTO.

Thanks,
Comment 21 Thomas Rausch 2009-12-31 13:39:49 UTC
Created attachment 214748 [details]
Proposed ebuild for binary plugin for epkowa scanner driver  (Perfection V10/V100)

I found a small mistake:

-       iscan-registry --add interpreter usb 0x04b8 0x012d ${MY_LIB}/iscan/libesint7A /usr/share/iscan/esfw66.bin
+       iscan-registry --add interpreter usb 0x04b8 0x012d ${MY_LIB}/iscan/libesint66 /usr/share/iscan/esfw66.bin
Comment 22 Will Lepofsky 2009-12-31 15:07:56 UTC
Created attachment 214754 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V200)

Cleaned up some and corrected spelling mistake.  Thanks to everyone for their input.
Comment 23 Will Lepofsky 2009-12-31 15:09:48 UTC
Created attachment 214756 [details]
Proposed ebuild for binary plugin for epkowa scanner driver(Perfection V350)

Cleaned up some and corrected spelling mistake.  Thanks to everyone for their input.
Comment 24 Will Lepofsky 2009-12-31 15:12:34 UTC
Created attachment 214758 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V10/V100)

Cleaned up some, corrected spelling mistake, and corrected for correct library.  Thanks to everyone for their input.
Comment 25 Will Lepofsky 2009-12-31 15:14:18 UTC
Created attachment 214759 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection 4490)

Cleaned up some and corrected spelling mistake.  Thanks to everyone for their input.
Comment 26 Will Lepofsky 2009-12-31 15:17:38 UTC
Created attachment 214760 [details]
Proposed ebuild for binary plugin for epkowa scanner driver (Perfection V500)

Cleaned up some and corrected spelling mistake.  Thanks to everyone for their input.
Comment 27 Will Lepofsky 2009-12-31 15:35:44 UTC
@Zbynek Lstiburek:  Thank you for the catch, it is corrected in the new file.

@Dieter Ries:  The spelling error was present in all files and corrected. 
Thanks

@Matthew Schultz:  Thank you for the suggestion of sunrise, but I would rather
wait for the inclusion in to the main tree.  Also, I used some of your cleanup
in my new ebuilds.

@Thomas Rausch:  Thank you for the catch.  Zbynek Lstiburek also caught that
one.  The new ebuild also catches the post removal code.

To everyone who has used these ebuild:  Please Vote for this bug.  I don't know
if Votes count, but it's worth a try...
Comment 28 Thomas Rausch 2009-12-31 15:44:55 UTC
I miss the deletion of the entry when you emerge -C from the driver.

iscan-registry --add interpreter usb 0x04b8 0x012d ${MY_LIB}/iscan/libesint66 /usr/share/iscan/esfw66.bin

Maybe something with --del ;-)
Comment 29 bli 2010-01-05 18:12:53 UTC
(In reply to comment #8)
> Created an attachment (id=197459) [details]
> Proposed ebuild for binary plugin for epkowa scanner driver (Perfection 4490)
 
How may I test this plugin? I didn't understood how to use the .ebuild file. If I try the ebuild program on it, it complains saying that it does "not seem to have a valid PORTDIR structure."

I have a Perfection 4490 scanner. It seems to be recognised by "sane-find-scanner":
---
found USB scanner (vendor=0x04b8 [EPSON], product=0x0119 [EPSON Scanner]) at libusb:001:006
---

and "scanimage -L" takes a long time before saying:
---
device `epkowa:usb:001:006' is a Epson (unknown model) flatbed scanner
---

but "iscan" says (also after a long time):
---
"Floating point exception"
---

Thanks in advance for any advice.
Comment 30 Will Lepofsky 2010-01-05 19:22:28 UTC
(In reply to comment #29)
@bli@quatramaran.ens.fr:

Check the Gentoo wiki page for a local ebuild repository at:

http://en.gentoo-wiki.com/wiki/Overlay#Creating_a_local_overlay

It also explains what to do with the ebuild to make it usable.

Hope this helps... ;) 
Comment 31 bli 2010-01-06 16:39:20 UTC
(In reply to comment #30)
> http://en.gentoo-wiki.com/wiki/Overlay#Creating_a_local_overlay
> 
> It also explains what to do with the ebuild to make it usable.
> 
> Hope this helps... ;) 

Thank you. I hadn't heard about this overlay system.

I can now use the Perfection 4490 (but iscan segfaults if I try to scan in pdf or in jpg, and the scanner must be turned off an on in order to be usable again).
Comment 32 Thomas Maguin 2010-01-31 10:00:15 UTC
Epson Perfection V200:
ebuild iscan-plugin-gt-f670-2.1.0.ebuild digest
!!! /usr/portage/local/local-overlay/media-gfx/iscan-plugin-gt-670/iscan-plugin-gt-f670-2.1.0.ebuild does not seem to have a valid PORTDIR structure.

Did put in firmware epkowa-backend by hand:

/var/log/messages: (think here is something missing - no Epson string output)
[60763.192718] usb 2-1: new high speed USB device using ehci_hcd and address 4
[60763.309473] usb 2-1: configuration #1 chosen from 1 choice

lsusb:
Bus 002 Device 004: ID 04b8:012e Seiko Epson Corp.

scanimage -L:
device `epkowa:usb:002:004' is a Epson (unknown model) flatbed scanner

/etc/sane.d/epkowa.conf
firmware /usr/share/iscan/esfw7A.bin
usb 0x04b8 0x012e
Comment 33 Will Lepofsky 2010-01-31 11:53:53 UTC
(In reply to comment #32)
Your directory for the ebuild, iscan-plugin-gt-670, must match the name of the ebuild,  iscan-plugin-gt-f670 (your missing the letter f in your directory name).

Once you correct that and remove any hand modifications that you have done, the ebuild emerged will setup everything for you automatically.

Hope this helps... ;)
Comment 34 Thomas Maguin 2010-01-31 13:55:03 UTC
Thank You. Now I stuck between floatingpoint exception and Could not connect to scanner. Check the scanner status.

Back to your ebuild. emerged process was fine. There is an epkowa entry at the end of dll.conf. But 
grep -nr esfw7A.bin /etc/sane.d/
gave no result for me. scanimage -L did not detect the scanner. So I had to manually add the firmware line and the vendor id to /etc/sane.d/epkowa.conf for scanimage detection. 

pkg_postinst() {
        # Needed for scaner to work properly.
        iscan-registry --add interpreter usb 0x04b8 0x012e ${MY_LIB}/iscan/libesint7A /usr/share/iscan/esfw7A.bin

Which file should contain this entry, if not /etc/sane.d/epkowa.conf?
Comment 35 Thomas Maguin 2010-01-31 14:34:57 UTC
ok, have found the entry in /usr/local/var/lib/iscan/interpreter. Did clean everything and did a fresh install of sane-backend, iscan and iscan-plugin-gt-f670, but scanimage -L does not find the scanner. sane-find-scanner can see it.
Comment 36 Will Lepofsky 2010-02-14 07:17:04 UTC
(In reply to comment #35)

Interesting that you have the interpreter file in /usr/local/var/lib and not in /var/lib.  That might be a file leftover from your last install, it should not be there.  You might have to verify that there are no leftover files from the last install in /usr/local.

The only other suggestions I can make is:

1.  Verify in /etc/sane.d/dll.conf that epkowa is the only line uncommented.
2.  Verify in /etc/sane.d/epkowa.conf that usb is the only line uncommented.
3.  Verify in /var/lib/lib/iscan/interpreter (at least this is where the interpreter file is for me) that it contains "interpreter usb 0x04b8 0x012d /usr/lib/iscan/libesint66 /usr/share/iscan/esfw66.bin" if on a 32bit system or interpreter usb 0x04b8 0x012d /usr/lib/iscan/libesint66 /usr/share/iscan/esfw66.bin if on a 64bit system.

Hope this helps... ;)
Comment 37 Will Lepofsky 2010-02-14 07:23:16 UTC
(In reply to comment #36)

> 3.  Verify in /var/lib/lib/iscan/interpreter (at least this is where the
> interpreter file is for me) that it contains "interpreter usb 0x04b8 0x012d
> /usr/lib/iscan/libesint66 /usr/share/iscan/esfw66.bin" if on a 32bit system or
> interpreter usb 0x04b8 0x012d /usr/lib/iscan/libesint66
> /usr/share/iscan/esfw66.bin if on a 64bit system.

Sorry, I was looking at the wring file at the time...

The interpreter line should be either "interpreter usb 0x04b8 0x012e /usr/lib/iscan/libesint7A /usr/share/iscan/esfw7A.bin" or "interpreter usb 0x04b8 0x012e /usr/lib64/iscan/libesint7A /usr/share/iscan/esfw7A.bin"

Hope this helps... ;)
Comment 38 Thomas Maguin 2010-02-14 08:39:30 UTC
device `epkowa:interpreter:001:002' is a Epson Perfection V200 flatbed scanner :-)

it was a problem with the interpreter file. I did a fresh install again, but there was no interpreter file at /var/lib/lib/iscan/ 
Copying it from /usr/local/var/lib/iscan/ into /var/lib/lib/iscan/ did it. 
Thank You very much.
Comment 39 M Innes 2010-03-01 15:23:13 UTC
Hello trying to get my 4490 working  and so downloaded iscan-plugin-gt-x750-2.1.0.ebuild to local overlay and ran ebuild **** digest, it downloaded file ok and created manifest but can't install it as ebuild is not found?

Is not found on search either


emerge -S iscan
Searching...
[ Results for search key : iscan ]
[ Applications found : 3 ]

*  media-gfx/iscan
      Latest version available: 2.21.0
      Latest version installed: 2.21.0
      Size of files: 1,050 kB
      Homepage:      http://www.avasys.jp/english/linux_e/dl_scan.html
      Description:   EPSON Image Scan! for Linux (including sane-epkowa backend)
      License:       GPL-2 AVASYS

*  media-gfx/iscan-plugin-gt-f720
      Latest version available: 0.0.1
      Latest version installed: [ Not Installed ]
      Size of files: 538 kB
      Homepage:      http://www.avasys.jp/english/linux_e/dl_scan.html
      Description:   Epson Perfection V300 PHOTO scanner plugin for SANE 'epkowa' backend.
      License:       AVASYS


Comment 40 Matthew Schultz 2010-03-01 15:44:25 UTC
(In reply to comment #39)
> Hello trying to get my 4490 working  and so downloaded
> iscan-plugin-gt-x750-2.1.0.ebuild to local overlay and ran ebuild **** digest,
> it downloaded file ok and created manifest but can't install it as ebuild is
> not found?
> 
> Is not found on search either
> 
> 
> emerge -S iscan
> Searching...
> [ Results for search key : iscan ]
> [ Applications found : 3 ]
> 
> *  media-gfx/iscan
>       Latest version available: 2.21.0
>       Latest version installed: 2.21.0
>       Size of files: 1,050 kB
>       Homepage:      http://www.avasys.jp/english/linux_e/dl_scan.html
>       Description:   EPSON Image Scan! for Linux (including sane-epkowa
> backend)
>       License:       GPL-2 AVASYS
> 
> *  media-gfx/iscan-plugin-gt-f720
>       Latest version available: 0.0.1
>       Latest version installed: [ Not Installed ]
>       Size of files: 538 kB
>       Homepage:      http://www.avasys.jp/english/linux_e/dl_scan.html
>       Description:   Epson Perfection V300 PHOTO scanner plugin for SANE
> 'epkowa' backend.
>       License:       AVASYS
> 

emerge --info | grep OVERLAY

uncomment if commented.
Comment 41 M Innes 2010-03-01 16:27:11 UTC
Thanks for pointer, i had change overlay for layman 1.3 and so local overlay not found.

Now i have it installed but nether iscan or xscan find scanner but scanimage does and scanner responds

# scanimage -L
device `epkowa:interpreter:001:006' is a Epson Perfection 4490 flatbed scanner


I have checked and set all the files as previously mentioned in this thread.

Comment 42 Will Lepofsky 2010-03-01 17:21:28 UTC
(In reply to comment #41)
Do you get any errors when you run the iscan or xscan programs from the command line?
Comment 43 M Innes 2010-03-01 19:45:36 UTC
No errors from iscan other than 'could not send command to scanner. check scanner status.'

xsane reports no  scanner available as does vuescan.

cheers
Comment 44 Matthew Schultz 2010-03-01 19:57:10 UTC
(In reply to comment #43)
> No errors from iscan other than 'could not send command to scanner. check
> scanner status.'
> 
> xsane reports no  scanner available as does vuescan.
> 
> cheers
> 

This might sound retarded, but try unplugging the usb cable on the scanner from your puter while it's on and then plugging it back in.
Comment 45 Will Lepofsky 2010-03-01 21:17:48 UTC
(In reply to comment #44)
> (In reply to comment #43)

I would also add unplugging the scanner from power.
Comment 46 M Innes 2010-03-02 09:37:18 UTC
Hello, yep tried unplugging, was thing i did, also rebooted a well but still the same.
Comment 47 Will Lepofsky 2010-03-02 09:51:38 UTC
(In reply to comment #46)

The only other thing that I can suggest is that you verify that your user is in the scanner group.

If not that, then what happens when you run iscan as root?

Comment 48 M Innes 2010-03-02 12:31:25 UTC
:( was not in scanner groups, how did i miss that?

Thanks for help.
Comment 49 Jared B. 2010-05-14 08:18:02 UTC
Created attachment 231405 [details]
iscan-plugin-gt-x820-2.1.0.ebuild (Perfection V600 Photo driver)
Comment 50 Dmitry S. Makovey 2010-05-15 10:22:46 UTC
I vote for Jared to be hero of the day - very timely submission: just got my V600 and proposed iscan-plugin-gt-x820-2.1.0.ebuild worked great so far - xsane and iscan are both working beautifully... in combination with bug #302624 where I just bumped iscan version to 2.24.0 without any visible problems so far.
Comment 51 Jeroen Roovers gentoo-dev 2010-08-26 19:14:08 UTC
*** Bug 334337 has been marked as a duplicate of this bug. ***
Comment 52 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-05-12 22:06:51 UTC
Matthew called my attention on this bug... I (obviously) lack the hardware to test all of this, but I know now how the thing ought to work (since I have the gt-s50) and I would be able to help maintaining the ebuild side of them.

So who's up to proxy-maintain which ebuild? :)

And before submitting any of them, please re-look at the gt-s80 ebuild in tree, since that's how they should be done, the f720 was quite a bit rough on the edges.
Comment 53 Matthew Schultz 2011-05-13 07:20:38 UTC
Created attachment 273033 [details]
iscan-plugin-gt-x770-2.1.2.1.ebuild

Since I have an Epson V500 scanner, I'll volunteer to proxy maintain the gt-x770 package.  Here's an updated ebuild using a newer version and fixed up to be more like iscan-plugin-gt-s80.  I tried to put the firmware file in /opt but the scanner was not recognized unless I put it in /usr/share/iscan.
Comment 54 Matthew Schultz 2011-05-26 18:17:50 UTC
(In reply to comment #53)
> Created attachment 273033 [details]
> iscan-plugin-gt-x770-2.1.2.1.ebuild
> 
> Since I have an Epson V500 scanner, I'll volunteer to proxy maintain the
> gt-x770 package.  Here's an updated ebuild using a newer version and fixed up
> to be more like iscan-plugin-gt-s80.  I tried to put the firmware file in /opt
> but the scanner was not recognized unless I put it in /usr/share/iscan.

I've created a separate bug for gt-x770 - bug 367585.  The ebuild is now in gentoo sunrise.  Look for any updates on that ebuild there.
Comment 55 Jared B. 2011-09-10 05:13:04 UTC
Created attachment 286027 [details]
media-gfx/iscan-plugin-gt-x820-2.1.2.ebuild

Update for the V600 driver.  Only real change was updating the SRC_URI.

I'll be happy to be a proxy-maintainer if it'll help get this into portage.
Comment 56 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-07-05 19:02:38 UTC
This ended up in trouble. Please submit the bugs separately (although most seem to have already a split bug open), and poke me directly by mail if I miss your proxy maintainership request.
Comment 57 Kromitvs 2013-08-03 10:54:10 UTC
Newbie here, coudn't find the specific thread...

Perfection 4490 Photo
media-gfx/iscan-plugin-gt-x750

Ebuild for binary plugin isn't working anymore, since the link to the rpm was changed, and now it downloads a html file.

Workaround:
 * Install iscan, sane-backend epkowa and rpm.

 * Download the iscan-plugin from
 http://download.ebz.epson.net/dsc/search/01/search/

 * install with
 rpm -ivh -nodeps <rpm.file>
Comment 58 Jared B. 2013-08-04 00:54:24 UTC
(In reply to Kromitvs from comment #57)
> Perfection 4490 Photo
> media-gfx/iscan-plugin-gt-x750
> 
> Ebuild for binary plugin isn't working anymore, since the link to the rpm
> was changed, and now it downloads a html file.

Hi, Kromitvs.  A separate bug was filed for the transfer of driver hosting from Avasys to Epson, which is the cause of the problem you described.  You can read the details in bug 455776.

Also discussed in that bug is the solution that Diego and I came up with to address the problem, as well as a few example plugin ebuilds in the new preferred format.  If you'd like to take a crack at updating the x750 plugin ebuild to use that new format, I'm sure Diego would appreciate that and it'd make it much easier for him to add it to the tree.

You also might want to post it as a new bug, as it looks like this one is considered closed and probably won't get much attention.